"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types_1 = require("../types");
exports.getNavigationStates = function (index, navigationState) {
    var states = [
        {
            name: types_1.NavigationState.None,
            active: navigationState === types_1.NavigationState.None,
        },
        {
            name: types_1.NavigationState.ForwardTo,
            active: navigationState === types_1.NavigationState.ForwardTo,
        },
        {
            name: types_1.NavigationState.ForwardFrom,
            active: navigationState === types_1.NavigationState.ForwardFrom,
        },
        {
            name: types_1.NavigationState.BackTo,
            active: navigationState === types_1.NavigationState.BackTo,
        },
        {
            name: types_1.NavigationState.BackFrom,
            active: navigationState === types_1.NavigationState.BackFrom,
        },
        {
            name: types_1.NavigationState.InTransition,
            active: navigationState !== types_1.NavigationState.None,
        },
        {
            name: types_1.NavigationState.Forward,
            active: navigationState === types_1.NavigationState.ForwardFrom ||
                navigationState === types_1.NavigationState.ForwardTo,
        },
        {
            name: types_1.NavigationState.Index,
            active: true,
            value: index,
        },
    ];
    return states;
};
//# sourceMappingURL=getNavigationStates.js.map