"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var react_native_fluid_transitions_1 = require("react-native-fluid-transitions");
var Functions_1 = require("../Functions");
var types_1 = require("../types");
exports.useNavigationDirection = function () {
    var stateContext = react_1.useContext(react_native_fluid_transitions_1.StateContext);
    if (!stateContext) {
        throw Error("State context is missing");
    }
    var forwardState = Functions_1.safeGetState(types_1.NavigationState.Forward, stateContext.states);
    return forwardState.active ? "forward" : "backward";
};
//# sourceMappingURL=useNavigationDirection.js.map