"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var types_1 = require("../types");
var react_1 = require("react");
var react_navigation_hooks_1 = require("react-navigation-hooks");
var react_navigation_stack_1 = require("react-navigation-stack");
// @ts-ignore
var base_1 = require("react-native-reanimated/src/base");
var react_native_reanimated_1 = __importDefault(require("react-native-reanimated"));
exports.useNavigationState = function (_name) {
    var _a = react_1.useState(types_1.NavigationState.None), navigationState = _a[0], setNavigationState = _a[1];
    var navigation = react_navigation_hooks_1.useNavigation();
    var myIndexRef = react_1.useRef(getMyIndex(navigation));
    var prevIndexRef = react_1.useRef(getIndex(navigation));
    // Set up node for tracking swiping
    var stackCardAnimationContext = react_1.useContext(react_navigation_stack_1.StackCardAnimationContext);
    var updateSwiping = react_1.useCallback(function (args) {
        var isSwiping = args[0];
        if (isSwiping) {
            setNavigationState(types_1.NavigationState.BackFrom);
        }
    }, []);
    var updateSwipingNode = react_1.useMemo(function () {
        if (stackCardAnimationContext) {
            return base_1.always(react_native_reanimated_1.default.onChange(stackCardAnimationContext.swiping, [
                react_native_reanimated_1.default.call([stackCardAnimationContext.swiping], updateSwiping),
            ]));
        }
        else
            return react_native_reanimated_1.default.block([]);
    }, [stackCardAnimationContext, updateSwiping]);
    react_1.useEffect(function () {
        updateSwipingNode.__attach();
        return function () { return updateSwipingNode.__detach(); };
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, []);
    react_navigation_hooks_1.useNavigationEvents(function (p) {
        // console.log(name, p.action.type);
        if (p.action.type === "Navigation/NAVIGATE" ||
            p.action.type === "Navigation/COMPLETE_TRANSITION") {
            var parent_1 = navigation.dangerouslyGetParent();
            if (!parent_1)
                return;
            var _a = parent_1.state, index = _a.index, routes = _a.routes;
            var inTransition = p.action.type === "Navigation/NAVIGATE" ? true : false;
            var focused = navigation.isFocused();
            var forward = prevIndexRef.current <= index;
            prevIndexRef.current = index;
            var nextNavigationState = !inTransition ||
                (forward && routes.length === 1 && navigation.isFirstRouteInParent())
                ? types_1.NavigationState.None
                : forward
                    ? focused
                        ? types_1.NavigationState.ForwardTo
                        : types_1.NavigationState.ForwardFrom
                    : focused
                        ? types_1.NavigationState.BackTo
                        : types_1.NavigationState.BackFrom;
            if (nextNavigationState !== navigationState) {
                if (forward &&
                    !focused &&
                    nextNavigationState === types_1.NavigationState.None) {
                    // DO nothing - we'd like to keep the state
                }
                else {
                    setNavigationState(nextNavigationState);
                }
            }
        }
    });
    return { navigationState: navigationState, index: myIndexRef.current };
};
function getIndex(navigation) {
    var parent = navigation.dangerouslyGetParent();
    if (!parent)
        return -1;
    var index = parent.state.index;
    return index;
}
function getMyIndex(navigation) {
    var parent = navigation.dangerouslyGetParent();
    if (!parent)
        return -1;
    var routes = parent.state.routes;
    var key = navigation.state.key;
    return routes.findIndex(function (r) { return r.key === key; });
}
//# sourceMappingURL=useNavigationState.js.map