"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Functions_1 = require("../Functions");
var types_1 = require("../types");
var react_1 = require("react");
var react_native_fluid_transitions_1 = require("react-native-fluid-transitions");
exports.useNavigationStates = function () {
    var stateContext = react_1.useContext(react_native_fluid_transitions_1.StateContext);
    if (!stateContext)
        throw Error("State context is missing.");
    var forwardFrom = Functions_1.safeGetState(types_1.NavigationState.ForwardFrom, stateContext.states);
    var forwardTo = Functions_1.safeGetState(types_1.NavigationState.ForwardTo, stateContext.states);
    var backFrom = Functions_1.safeGetState(types_1.NavigationState.BackFrom, stateContext.states);
    var backTo = Functions_1.safeGetState(types_1.NavigationState.BackTo, stateContext.states);
    return { forwardFrom: forwardFrom, forwardTo: forwardTo, backFrom: backFrom, backTo: backTo };
};
//# sourceMappingURL=useNavigationStates.js.map