"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_native_fluid_transitions_1 = __importDefault(require("react-native-fluid-transitions"));
var types_1 = require("../types");
var Functions_1 = require("../Functions");
exports.createWhenConfiguration = function (states, styleKey, inputRange, outputRangeForwardFrom, outputRangeForwardTo, outputRangeBackFrom, outputRangeBackTo) {
    var _a = getNavigationStates(states), forwardTo = _a.forwardTo, forwardFrom = _a.forwardFrom, backTo = _a.backTo, backFrom = _a.backFrom;
    var interpolationForState = function (state, _isForward, outputRange) { return ({
        state: state.name,
        animation: react_native_fluid_transitions_1.default.Animations.Springs.Gentle,
        interpolation: [
            {
                styleKey: styleKey,
                inputRange: inputRange,
                outputRange: outputRange,
            },
        ],
    }); };
    return [
        interpolationForState(forwardTo, true, outputRangeForwardTo),
        interpolationForState(forwardFrom, false, outputRangeForwardFrom),
        interpolationForState(backTo, true, outputRangeBackTo),
        interpolationForState(backFrom, false, outputRangeBackFrom),
    ];
};
var getNavigationStates = function (states) {
    var forwardTo = Functions_1.safeGetState(types_1.NavigationState.ForwardTo, states);
    var forwardFrom = Functions_1.safeGetState(types_1.NavigationState.ForwardFrom, states);
    var backTo = Functions_1.safeGetState(types_1.NavigationState.BackTo, states);
    var backFrom = Functions_1.safeGetState(types_1.NavigationState.BackFrom, states);
    return {
        forwardTo: forwardTo,
        forwardFrom: forwardFrom,
        backTo: backTo,
        backFrom: backFrom,
    };
};
//# sourceMappingURL=createNavigationTransition.js.map