"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var react_native_fluid_transitions_1 = require("react-native-fluid-transitions");
var createNavigationTransition_1 = require("./createNavigationTransition");
exports.useNavigationTransition = function (styleKey, inputRange, outputRangeForwardFrom, outputRangeForwardTo, outputRangeBackFrom, outputRangeBackTo) {
    var stateContext = react_1.useContext(react_native_fluid_transitions_1.StateContext);
    if (!stateContext) {
        throw Error("State context is missing");
    }
    return react_native_fluid_transitions_1.useFluidConfig({
        when: createNavigationTransition_1.createWhenConfiguration(stateContext.states, styleKey, inputRange, outputRangeForwardFrom, outputRangeForwardTo, outputRangeBackFrom, outputRangeBackTo),
    });
};
exports.useAllDirectionTransition = function (styleKey, value) {
    return exports.useNavigationTransition(styleKey, [0, 1], [0, -value], // Forward from
    [value, 0], // Forward to
    [0, value], // Back from
    [-value, 0]);
};
exports.useDirectionTransition = function (styleKey, value) {
    return exports.useNavigationTransition(styleKey, [0, 1], [0, value], // Forward from
    [value, 0], // Forward to
    [0, value], // Back from
    [value, 0]);
};
//# sourceMappingURL=useNavigationTransition.js.map