"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_navigation_stack_1 = require("react-navigation-stack");
var react_native_reanimated_1 = __importStar(require("react-native-reanimated"));
var types_1 = require("./types");
exports.createFluidStackNavigator = function (routeConfigMap, stackConfig) {
    return react_navigation_stack_1.createStackNavigator(routeConfigMap, __assign(__assign({}, stackConfig), { headerMode: "none", defaultNavigationOptions: {
            cardShadowEnabled: false,
            cardOverlayEnabled: false,
            cardTransparent: true,
            cardStyle: { backgroundColor: "#FFF" },
            onTransitionStart: function () { },
            onTransitionEnd: function () { },
            cardStyleInterpolator: customInterpolation,
            transitionSpec: {
                open: {
                    animation: "timing",
                    config: {
                        duration: types_1.NavigationTiming,
                        easing: react_native_reanimated_1.Easing.linear,
                    },
                },
                close: {
                    animation: "timing",
                    config: {
                        duration: types_1.NavigationTiming,
                        easing: react_native_reanimated_1.Easing.linear,
                    },
                },
            },
        } }));
};
function customInterpolation(_a) {
    var current = _a.current, next = _a.next;
    return {
        cardStyle: {
            opacity: next
                ? react_native_reanimated_1.default.interpolate(next.progress, {
                    inputRange: [0, 0.4999, 0.5001, 1],
                    outputRange: [1, 1, 0, 0],
                })
                : react_native_reanimated_1.default.interpolate(current.progress, {
                    inputRange: [0, 0.4999, 0.5001, 1],
                    outputRange: [0, 0, 1, 1],
                }),
        },
    };
}
//# sourceMappingURL=createFluidStackNavigator.js.map